SplFileObject::getFlags
SplFileObject::hasChildren
SplFileObject
PHP Manual

# SplFileObject::getMaxLineLen

(PHP 5 >= 5.1.0)

SplFileObject::getMaxLineLen — Get maximum line length

### Description

public int SplFileObject::getMaxLineLen ( void )

Gets the maximum line length as set by SplFileObject::setMaxLineLen().

### Parameters

This function has no parameters.

### Return Values

Returns the maximum line length if one has been set with SplFileObject::setMaxLineLen(), default is 0.

### Examples

Example #1 SplFileObject::getMaxLineLen() example

`<?php
$file = new SplFileObject("file.txt");
var_dump($file->getMaxLineLen());
$file->setMaxLineLen(20);
var_dump($file->getMaxLineLen());
?>`

The above example will output something similar to:

    int(0)
    int(20)

### See Also

- Classname::Method()

SplFileObject::getFlags
SplFileObject::hasChildren
SplFileObject
PHP Manual